# fedidel
`fedidel` is a bot that tracks and auto-deletes on Mastodon/Pleroma accounts according to a set maximum age. Tracking multiple instances simultaneously is possible. It will permanently retain statuses favourited by the account that posted them. Reblogs are treated as favourites and are permanently retained. Once a status is flagged for retention, the bot will not check it again.

## Installation (Linux)

#### Obtain root login shell
```
sudo -i
```

#### Download fedidel and make user account
```
git clone https://git.thj.no/thor/fedidel.git /usr/local/lib/fedidel
useradd -d /usr/local/lib/fedidel -M -s /bin/bash -U fedidel
chown -R fedidel.fedidel /usr/local/lib/fedidel
```

#### Create configuration
```
cd /usr/local/lib/fedidel
cp config.example.json config.json
editor config.json
```

#### Install systemd service
```
ln -s fedidel.service /etc/systemd/system/fedidel.service
systemctl enable fedidel
systemctl start fedidel
```

#### Management
```
# Restart service
systemctl restart fedidel

# Check service status
systemctl status fedidel

# Monitor log output
journalctl -t fedidel -f
```

## Maintainer

The maintainer can be contacted at `@thor@pl.thj.no`.